Class UmlBaseCollaborationDiagram

Manage the collaboration diagrams

Declaration :

- C++ : class UmlBaseCollaborationDiagram : public UmlDiagram
- Java : abstract class UmlBaseCollaborationDiagram extends UmlDiagram

Directly inherited by : UmlCollaborationDiagram

Artifact : UmlBaseCollaborationDiagram

Operation create

returns a new collaboration diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, in s : str) : UmlCollaborationDiagram, exceptions : RuntimeException
- C++ : public: static UmlCollaborationDiagram * create(UmlItem * parent, const char * s)
- Java : public static UmlCollaborationDiagram create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseCollaborationDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseCollaborationDiagram(in id : item_id, in n : string) :
- C++ : protected: UmlBaseCollaborationDiagram(void * id, const QCString & n) : UmlDiagram(id, n), _def(0)
- Java : protected UmlBaseCollaborationDiagram(long id, String n)

Operation definition

return the semantic part of the diagram not present in the model

Declaration :

- Uml : + definition() : UmlCollaborationDiagramDefinition
- C++ : public: UmlCollaborationDiagramDefinition * definition()
- Java : public UmlCollaborationDiagramDefinition definition()

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _def (<unidirectional association>)

Declaration :

- Uml : - _def : UmlCollaborationDiagramDefinition
- C++ : private: UmlCollaborationDiagramDefinition * _def
- Java : private UmlCollaborationDiagramDefinition _def

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , definition , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload